From 0447e96b840fa1a6fd7bc271cdceda64b45bea59 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 30 2020 04:22:24 +0000
Subject: [PATCH 1083/2232] Revert to older error string.


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 08e0dfa..ba488e1 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -211,9 +211,7 @@ fn check_api_type(cx: &mut Check, ety: &ExternType) {
 
     if let Some(reason) = cx.types.required_trivial.get(&ety.ident.rust) {
         let what = match reason {
-            TrivialReason::StructField(strct) => {
-                format!("a field of `{}`", strct.ident.cxx.to_fully_qualified())
-            }
+            TrivialReason::StructField(strct) => format!("a field of `{}`", strct.ident.rust),
             TrivialReason::FunctionArgument(efn) => format!("an argument of `{}`", efn.ident.rust),
             TrivialReason::FunctionReturn(efn) => format!("a return value of `{}`", efn.ident.rust),
         };
diff --git a/tests/ui/by_value_not_supported.stderr b/tests/ui/by_value_not_supported.stderr
index a860f3d..0a56dd4 100644
--- a/tests/ui/by_value_not_supported.stderr
+++ b/tests/ui/by_value_not_supported.stderr
@@ -16,7 +16,7 @@ error: using C++ string by value is not supported
 6 |         s: CxxString,
   |         ^^^^^^^^^^^^
 
-error: needs a cxx::ExternType impl in order to be used as a field of `::S`
+error: needs a cxx::ExternType impl in order to be used as a field of `S`
   --> $DIR/by_value_not_supported.rs:10:9
    |
 10 |         type C;

